summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorfalkTX <falktx@gmail.com>2014-10-10 18:14:14 +0100
committerfalkTX <falktx@gmail.com>2014-10-10 18:14:14 +0100
commit22e800215d02ef816a12c3279f17b47dcbad8a0c (patch)
tree99040aac2c319206aac47a93de286c5fb51d475e /utils
parentca60cca822fcd81b971ad076b5df711721f88d53 (diff)
Add script to generate MacOS VST bundles
Diffstat (limited to 'utils')
-rwxr-xr-xutils/generate-vst-bundles.sh33
-rw-r--r--utils/plugin.vst/Contents/Info.plist24
-rw-r--r--utils/plugin.vst/Contents/MacOS/deleteme1
-rw-r--r--utils/plugin.vst/Contents/PkgInfo1
-rw-r--r--utils/plugin.vst/Contents/Resources/empty.lproj0
5 files changed, 59 insertions, 0 deletions
diff --git a/utils/generate-vst-bundles.sh b/utils/generate-vst-bundles.sh
new file mode 100755
index 00000000..75fab51f
--- /dev/null
+++ b/utils/generate-vst-bundles.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+
+if [ -d bin ]; then
+ cd bin
+else
+ echo "Please run this script from the root folder"
+ exit
+fi
+
+PWD=`pwd`
+
+if [ ! -d /Developer ]; then
+ echo "This doesn't seem to be OSX, please stop!"
+ exit 0
+fi
+
+rm -r *.vst/
+
+PLUGINS=`ls | grep vst.dylib`
+
+for i in $PLUGINS; do
+ FILE=`echo $i | awk 'sub("-vst.dylib","")'`
+ cp -r ../dpf/utils/plugin.vst/ $FILE.vst
+ mv $i $FILE.vst/Contents/MacOS/$FILE
+ rm -f $FILE.vst/Contents/MacOS/deleteme
+ sed -i -e "s/X-PROJECTNAME-X/$FILE/" $FILE.vst/Contents/Info.plist
+ rm -f $FILE.vst/Contents/Info.plist-e
+ SetFile -a B $FILE.vst
+done
+
+cd ../../
diff --git a/utils/plugin.vst/Contents/Info.plist b/utils/plugin.vst/Contents/Info.plist
new file mode 100644
index 00000000..df723b55
--- /dev/null
+++ b/utils/plugin.vst/Contents/Info.plist
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+ <key>CFBundleDevelopmentRegion</key>
+ <string>English</string>
+ <key>CFBundleExecutable</key>
+ <string>X-PROJECTNAME-X</string>
+ <key>CFBundleIconFile</key>
+ <string></string>
+ <key>CFBundleIdentifier</key>
+ <string>net.sf.distrho.X-PROJECTNAME-X</string>
+ <key>CFBundleInfoDictionaryVersion</key>
+ <string>6.0</string>
+ <key>CFBundlePackageType</key>
+ <string>BNDL</string>
+ <key>CFBundleSignature</key>
+ <string>????</string>
+ <key>CFBundleVersion</key>
+ <string>1.0</string>
+ <key>CSResourcesFileMapped</key>
+ <true/>
+</dict>
+</plist>
diff --git a/utils/plugin.vst/Contents/MacOS/deleteme b/utils/plugin.vst/Contents/MacOS/deleteme
new file mode 100644
index 00000000..8d1c8b69
--- /dev/null
+++ b/utils/plugin.vst/Contents/MacOS/deleteme
@@ -0,0 +1 @@
+
diff --git a/utils/plugin.vst/Contents/PkgInfo b/utils/plugin.vst/Contents/PkgInfo
new file mode 100644
index 00000000..43c9cb0f
--- /dev/null
+++ b/utils/plugin.vst/Contents/PkgInfo
@@ -0,0 +1 @@
+BNDL????
diff --git a/utils/plugin.vst/Contents/Resources/empty.lproj b/utils/plugin.vst/Contents/Resources/empty.lproj
new file mode 100644
index 00000000..e69de29b
--- /dev/null
+++ b/utils/plugin.vst/Contents/Resources/empty.lproj